Page MenuHomeFreeBSD

D57705.diff
No OneTemporary

D57705.diff

diff --git a/libexec/rc/rc.d/bthidd b/libexec/rc/rc.d/bthidd
--- a/libexec/rc/rc.d/bthidd
+++ b/libexec/rc/rc.d/bthidd
@@ -35,9 +35,9 @@
if evdev_enabled; then
load_kld -m uinput uinput
fi
- load_kld -m kbdmux kbdmux
- load_kld -m vkbd vkbd
- load_kld -m ng_btsocket ng_btsocket
+ load_kld kbdmux kbdmux
+ load_kld vkbd vkbd
+ load_kld ng_btsocket
return 0
}
diff --git a/libexec/rc/rc.d/cfumass b/libexec/rc/rc.d/cfumass
--- a/libexec/rc/rc.d/cfumass
+++ b/libexec/rc/rc.d/cfumass
@@ -74,7 +74,7 @@
return "${err}"
fi
- load_kld -e cfumass cfumass
+ load_kld -m ctlcfumass cfumass
# If the template is already switched to Mass Storage, then reset
# it to -1 to force the host to reenumerate it; otherwise it might
diff --git a/libexec/rc/rc.d/linux b/libexec/rc/rc.d/linux
--- a/libexec/rc/rc.d/linux
+++ b/libexec/rc/rc.d/linux
@@ -31,14 +31,14 @@
case `sysctl -n hw.machine_arch` in
aarch64)
- load_kld -e 'linux64elf' linux64
+ load_kld -m linux64elf linux64
;;
amd64)
- load_kld -e 'linuxelf' linux
- load_kld -e 'linux64elf' linux64
+ load_kld -m linuxelf linux
+ load_kld -m linux64elf linux64
;;
i386)
- load_kld -e 'linuxelf' linux
+ load_kld -m linuxelf linux
;;
esac
diff --git a/libexec/rc/rc.d/mountcritremote b/libexec/rc/rc.d/mountcritremote
--- a/libexec/rc/rc.d/mountcritremote
+++ b/libexec/rc/rc.d/mountcritremote
@@ -26,7 +26,7 @@
case "`mount -d -a -t nfs 2> /dev/null`" in
*mount_nfs*)
# Handle absent nfs client support
- load_kld -m nfs nfscl || return 1
+ load_kld nfscl || return 1
;;
esac
return 0

File Metadata

Mime Type
text/plain
Expires
Sat, Jun 27, 1:02 AM (11 h, 37 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34376715
Default Alt Text
D57705.diff (1 KB)

Event Timeline